=begin pod

=TITLE class X::IO::Dir

=SUBTITLE Error while trying to get a directory's contents

    class X::IO::Dir does X::IO is Exception { }

Error class that is thrown when a L<&dir> call fails.

A typical error message is

    Failed to get the directory contents of '/tmp/': No such file or directory

=head1 Methods

=head2 method path

Returns the path that L<&dir> failed to read.

=end pod
